module CTdsPowerLedNotification
    use OperationScenariosModule
    use SimulationVariables
    implicit none
    contains
    
    subroutine Evaluate_PowerLed()
        use CCommon
        implicit none
        
        
        if (data%Configuration%Hoisting%DriveType == TopDrive_DriveType) then
#ifdef OST
            print*, 'Evaluate_PowerLed=TopDrive'
#endif

            !TOPDRIVE-CODE=63
            if (data%EquipmentControl%TopDrivePanel%TopDriveTdsPowerState == TdsPower_OFF) then
                call Set_PowerLed(.true.)
                return
            end if

        endif
        
        
        
        
        
        
        
        
        if (data%Configuration%Hoisting%DriveType == Kelly_DriveType) then
#ifdef OST
            print*, 'Evaluate_PowerLed=Kelly'
#endif

        endif
        
        
        
        
        
    end subroutine
    
    ! subroutine Subscribe_PowerLed()
    !     implicit none
    ! end subroutine
    
end module CTdsPowerLedNotification